> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/packaging/create-packaging.md).

# Create Packaging

Create new packaging for wrapping parcels

## /packaging

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/packaging`

This endpoint allows you to add new packaging.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | string | Set value to `application/json`  |

#### Request Body

| Name                                           | Type   | Description                                                                            |
| ---------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| height<mark style="color:red;">\*</mark>       | number | Height of packaging.                                                                   |
| length<mark style="color:red;">\*</mark>       | number | Length of packaging.                                                                   |
| name<mark style="color:red;">\*</mark>         | string | Name of packaging.                                                                     |
| size\_unit<mark style="color:red;">\*</mark>   | string | Unique size unit for packaging, only ***cm*** available at this time.                  |
| type<mark style="color:red;">\*</mark>         | string | Type of packaging. Accepted values are ***box**, **envelope** and **soft-packaging**.* |
| width<mark style="color:red;">\*</mark>        | number | Width of packaging.                                                                    |
| weight<mark style="color:red;">\*</mark>       | number | Weight of packaging.                                                                   |
| weight\_unit<mark style="color:red;">\*</mark> | string | Weight unit of packaging. Only ***kg*** available at this time.                        |

{% tabs %}
{% tab title="200 " %}

```
{
	status: true,
	message: 'Packaging created successfully',
	data: {
		height: 5,
		id: 'LsuiGzcYlz4dKRYnEXeobJu9gnVbQVXN',
		length: 40,
		name: 'Soft Packaging',
		packaging_id: 'PA-97263925515',
		size_unit: 'cm',
		type: 'soft-package',
		weight: 0.01,
		weight_unit: 'kg',		
		width: 30,
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/packaging/create-packaging.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
